Commit e9da93c1 authored by Guillaume Tucker's avatar Guillaume Tucker
Browse files

remove flash-kevin.sh script now that we have servoflash.py



The servoflash.py script has been tested with a "hana" Chromebook
which was previously flashed using flash-kevin.sh.  So flash-kevin.sh
can now be dropped.
Signed-off-by: Guillaume Tucker's avatarGuillaume Tucker <guillaume.tucker@collabora.com>
parent 3ea9c48c
#!/bin/bash
set -e
export PATH=$PWD/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib:$LD_LIBRARY_PATH
device="$1"
serial="$2"
fw="$3"
backup="${4:-$device-backup.bin}"
[ -n "$device" ] || {
echo "Missing device name"
exit 1
}
[ -n "$fw" ] || {
echo "Missing firmware file"
exit 1
}
[ -f "$fw" ] || {
echo "Firmware file not found: $fw"
exit 1
}
cmd()
{
local args="$@"
echo "args: [$args]"
dut-control --rcfile=/etc/google-servo.conf -n $device $args
}
md5sum "$fw"
echo "* reset"
cmd cold_reset:off
sleep 1
cmd cold_reset:on
sleep 1
echo "* vref on"
cmd spi2_vref:pp1800 spi2_buf_en:on
sleep 1
echo "* backup $backup"
flashrom --programmer raiden_debug_spi:serial=$serial -r "$backup"
echo "* fw_wp"
cmd fw_wp_en:on
cmd fw_wp:off
cmd fw_up:on
cmd fw_wp_en
cmd fw_wp
cmd fw_up
sleep 1
echo "* erase"
flashrom --programmer raiden_debug_spi:serial=$serial -E
echo "* flash [$fw]"
flashrom --programmer raiden_debug_spi:serial=$serial -w "$fw"
echo "* vref off"
cmd spi2_vref:off spi2_buf_en:off
sleep 1
echo "* reboot"
cmd cpu_uart_en:on
cmd dev_mode:on
sleep 1
cmd cpu_uart_en
cmd dev_mode
cmd cold_reset:off
cmd dev_mode:on
sleep 1
cmd dev_mode
exit 0
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment